DROP TABLE IF EXISTS pgp_doklady02;
go

CREATE TABLE pgp_doklady02(
	ID_POJ varchar(20) not null,
	ID_ZP smallint,
	IDZZ char(8) not null,
	ID_DOKLADU varchar(20) not null,
	ODB char(3) not null,
	DATUM_PRI date not null,
	DATUM_PRO date not null,
	DATUM_NAR date,
	VEKLET smallint,
	VEKDEN smallint,
	POHLAVI smallint not null,
	HMOTNOST smallint,
	GEST_VEK smallint,
	PRIJETI char(1) not null,
	DRU_PRI char(1),
	DUV_PRI char(1),
	UKONCENI char(1) not null,
	DG_ZAKLADNI varchar(5) not null,
	DG_VEDLEJSI1 varchar(5),
	DG_VEDLEJSI_TYP1 char(1),
	DG_VEDLEJSI2 varchar(5),
	DG_VEDLEJSI_TYP2 char(1),
	DG_VEDLEJSI3 varchar(5),
	DG_VEDLEJSI_TYP3 char(1),
	DG_VEDLEJSI4 varchar(5),
	DG_VEDLEJSI_TYP4 char(1),
	DG_VEDLEJSI5 varchar(5),
	DG_VEDLEJSI_TYP5 char(1),
	DG_VEDLEJSI6 varchar(5),
	DG_VEDLEJSI_TYP6 char(1),
	DG_VEDLEJSI7 varchar(5),
	DG_VEDLEJSI_TYP7 char(1),
	DG_VEDLEJSI8 varchar(5),
	DG_VEDLEJSI_TYP8 char(1),
	DG_VEDLEJSI9 varchar(5),
	DG_VEDLEJSI_TYP9 char(1),
	DG_VEDLEJSI10 varchar(5),
	DG_VEDLEJSI_TYP10 char(1),
	DG_VEDLEJSI11 varchar(5),
	DG_VEDLEJSI_TYP11 char(1),
	DG_VEDLEJSI12 varchar(5),
	DG_VEDLEJSI_TYP12 char(1),
	DG_VEDLEJSI13 varchar(5),
	DG_VEDLEJSI_TYP13 char(1),
	DG_VEDLEJSI14 varchar(5),
	DG_VEDLEJSI_TYP14 char(1),
	DG_VEDLEJSI15 varchar(5),
	DG_VEDLEJSI_TYP15 char(1),
	DG_VEDLEJSI16 varchar(5),
	DG_VEDLEJSI_TYP16 char(1),
	DG_VEDLEJSI17 varchar(5),
	DG_VEDLEJSI_TYP17 char(1),
	DG_VEDLEJSI18 varchar(5),
	DG_VEDLEJSI_TYP18 char(1),
	DG_VEDLEJSI19 varchar(5),
	DG_VEDLEJSI_TYP19 char(1),
	DG_VEDLEJSI20 varchar(5),
	DG_VEDLEJSI_TYP20 char(1),
	DG_VEDLEJSI21 varchar(5),
	DG_VEDLEJSI_TYP21 char(1),
	DG_VEDLEJSI22 varchar(5),
	DG_VEDLEJSI_TYP22 char(1),
	DG_VEDLEJSI23 varchar(5),
	DG_VEDLEJSI_TYP23 char(1),
	DG_VEDLEJSI24 varchar(5),
	DG_VEDLEJSI_TYP24 char(1),
	DG_VEDLEJSI25 varchar(5),
	DG_VEDLEJSI_TYP25 char(1),
	DG_VEDLEJSI26 varchar(5),
	DG_VEDLEJSI_TYP26 char(1),
	DG_VEDLEJSI27 varchar(5),
	DG_VEDLEJSI_TYP27 char(1),
	DG_VEDLEJSI28 varchar(5),
	DG_VEDLEJSI_TYP28 char(1),
	DG_VEDLEJSI29 varchar(5),
	DG_VEDLEJSI_TYP29 char(1),
	DG_VEDLEJSI30 varchar(5),
	DG_VEDLEJSI_TYP30 char(1),
	UPV smallint,
	RUN_ID bigint,
	CONSTRAINT PK_pgp_doklady02 PRIMARY KEY (ID_DOKLADU, RUN_ID)
); 
go

DROP TABLE IF EXISTS pgp_doklady06;
go

CREATE TABLE pgp_doklady06(
	ID_POJ varchar(20) not null,
	ID_ZP smallint,
	IDZZ char(8) not null,
	ID_DOKLADU varchar(20) not null,
	DRUDOK char(2) not null,
	ODB char(3) not null,
	ICP_ZAD char(8) not null,
	ODB_ZAD char(3) not null,
	DATUM_ZAD date,
	RUN_ID bigint,
	CONSTRAINT PK_pgp_doklady06 PRIMARY KEY (ID_DOKLADU, RUN_ID)
);
go


DROP TABLE IF EXISTS pgp_polozky;
go

CREATE TABLE pgp_polozky(
	IDZZ char(8) not null,
	ID_ZP smallint,
	ID_DOKLADU varchar(20) not null,
	DEN date not null,
	TYP smallint not null,
	KOD varchar(7) not null,
	MNO numeric(11,3) not null,
	RUN_ID bigint
);
go


DROP TABLE IF EXISTS pgp_doklady_pripadu;
go

CREATE TABLE pgp_doklady_pripadu(
	id_dokladu Varchar(20),
	id_pripadu Varchar(15),
	RUN_ID bigint,
	CONSTRAINT PK_pgp_doklady_pripadu PRIMARY KEY (ID_DOKLADU, RUN_ID)
);
go

DROP TABLE IF EXISTS pgp_terapeuticke_dny;
go

CREATE TABLE pgp_terapeuticke_dny(
	id_pripadu Varchar(15),
	typ	Varchar(10),
	den date,
	RUN_ID bigint,
	CONSTRAINT PK_pgp_terapeuticke_dny PRIMARY KEY (id_pripadu, typ, den, RUN_ID)
);
go

DROP TABLE IF EXISTS pgp_doklady06_vyrazene_dle_data;
go

CREATE TABLE pgp_doklady06_vyrazene_dle_data(
	id_dokladu Varchar(20),
	id_pripadu Varchar(15),
	RUN_ID bigint,
	CONSTRAINT PK_pgp_doklady06_vyrazene_dle_data PRIMARY KEY (ID_DOKLADU, ID_PRIPADU, RUN_ID)
);
go                                                                     

DROP TABLE IF EXISTS pgp_doklady06_vyrazene_extramuralni;
go

CREATE TABLE pgp_doklady06_vyrazene_extramuralni(
	id_dokladu Varchar(20),
	id_pripadu Varchar(15),
	RUN_ID bigint,
	CONSTRAINT PK_pgp_doklady06_vyrazene_extramuralni PRIMARY KEY (ID_DOKLADU, ID_PRIPADU, RUN_ID)
);
go

DROP TABLE IF EXISTS pgp_doklady06_vyrazene_intramuralni;
go

CREATE TABLE pgp_doklady06_vyrazene_intramuralni(
	id_dokladu Varchar(20),
	id_pripadu Varchar(15),
	RUN_ID bigint,
	CONSTRAINT PK_pgp_doklady06_vyrazene_intramuralni PRIMARY KEY (ID_DOKLADU, ID_PRIPADU, RUN_ID)
);
go

DROP TABLE IF EXISTS pgp_doklady06_vyrazene_nejasnePriraditelna;
go

CREATE TABLE pgp_doklady06_vyrazene_nejasnePriraditelna(
	id_dokladu Varchar(20),
	id_pripadu Varchar(15),
	RUN_ID bigint,
	CONSTRAINT PK_pgp_doklady06_vyrazene_nejasnePriraditelna PRIMARY KEY (ID_DOKLADU, ID_PRIPADU, RUN_ID)
);
go

DROP TABLE IF EXISTS pgp_doklady_mimo_HP;
go

CREATE TABLE pgp_doklady_mimo_HP(
	id_dokladu Varchar(20),
	id_pripadu Varchar(15),
	den date,
	den_zah date,
	den_uko date,
	RUN_ID bigint,
	CONSTRAINT PK_pgp_doklady_mimo_HP PRIMARY KEY (ID_DOKLADU, ID_PRIPADU, DEN, DEN_ZAH, DEN_UKO, RUN_ID)
);
go
